summary refs log tree commit diff
path: root/lisc/tools
diff options
context:
space:
mode:
Diffstat (limited to 'lisc/tools')
-rwxr-xr-xlisc/tools/abitest.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/lisc/tools/abitest.sh b/lisc/tools/abitest.sh
index 164aff2..096c4ef 100755
--- a/lisc/tools/abitest.sh
+++ b/lisc/tools/abitest.sh
@@ -16,8 +16,14 @@ then
 fi
 
 	$OCAML tools/abi.ml $TMP c ssa
-	./$QBE -o $TMP/callee.s $TMP/callee.ssa         || failure "qbe"
-	c99 -o $TMP/abitest $TMP/caller.c $TMP/callee.s || failure "cc + linking"
-	$TMP/abitest                                    || failure "runtime"
+
+	./$QBE -o $TMP/callee.s $TMP/callee.ssa
+		|| failure "qbe"
+
+	c99 -g -o $TMP/abitest $TMP/caller.c $TMP/callee.s
+		|| failure "cc + linking"
+
+	$TMP/abitest
+		|| failure "runtime"
 
 rm -fr $TMP